View Issue Details

IDProjectCategoryView StatusLast Update
0026612mantisbtplug-inspublic2020-03-15 15:23
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.24.0 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026612: Improve MantisColumn sort capability to allow sorting by more complex expressions
Description

Currently the MantisColumn class method sortquery() is only supported to include clauses in the "join" and "order by " sections of the main filter query.
There's a limitation on many databases where if a expression is used in the ORDER BY clauses, that expression must be a member of the selected fields.

An example usage of this : ORDER BY coalesce(field,0).
For this to work, the expression coalesce(field,0) must appear in the SELECT clause.

This can be fixed by allowinf the sortquery method to also return expressions for the "select" section.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master e26eabfb

2020-01-19 18:33:44

cproensa


Committer: dregad Details Diff
Improve MantisColumn sort support

Allow including select elements from the sort method in MantisColumn
when building the filter sql query.

Fixes: 0026612
Affected Issues
0026612
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2020-01-19 18:41 cproensa New Issue
2020-01-19 18:41 cproensa Status new => assigned
2020-01-19 18:41 cproensa Assigned To => cproensa
2020-01-19 18:42 cproensa Description Updated View Revisions
2020-01-28 07:04 dregad Changeset attached => MantisBT master e26eabfb
2020-01-28 07:04 cproensa Status assigned => resolved
2020-01-28 07:04 cproensa Resolution open => fixed
2020-01-28 07:04 cproensa Fixed in Version => 2.24.0
2020-01-28 17:08 atrol Target Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed